    package com.example.gallery

    import android.os.Bundle
    import androidx.appcompat.app.AppCompatActivity
    import androidx.navigation.fragment.NavHostFragment
    import androidx.navigation.ui.setupActionBarWithNavController
    import com.example.gallery.databinding.ActivityMainBinding

    class MainActivity : AppCompatActivity() {
        private lateinit var binding: ActivityMainBinding

        override fun onCreate(savedInstanceState: Bundle?) {
            super.onCreate(savedInstanceState)
            binding = ActivityMainBinding.inflate(layoutInflater)
            setContentView(binding.root)

            val navHostFragment = supportFragmentManager
                .findFragmentById(R.id.nav_host_fragment) as NavHostFragment
            val navController = navHostFragment.navController

            setSupportActionBar(binding.toolbar)
            setupActionBarWithNavController(navController)
        }

        override fun onSupportNavigateUp(): Boolean {
            val navHostFragment = supportFragmentManager
                .findFragmentById(R.id.nav_host_fragment) as NavHostFragment
            val navController = navHostFragment.navController
            return navController.navigateUp() || super.onSupportNavigateUp()
        }
    }