package com.example.gallery.ui.photos

import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.fragment.app.Fragment
import androidx.navigation.fragment.navArgs
import com.example.gallery.databinding.FragmentPhotoDetailBinding
import com.example.gallery.ui.ImageLoader

class PhotoDetailFragment : Fragment() {
    private var _binding: FragmentPhotoDetailBinding? = null
    private val binding get() = _binding!!

    private val args: PhotoDetailFragmentArgs by navArgs()

    override fun onCreateView(
        inflater: LayoutInflater,
        container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View {
        _binding = FragmentPhotoDetailBinding.inflate(inflater, container, false)
        return binding.root
    }

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        super.onViewCreated(view, savedInstanceState)

        val photo = args.photo

        binding.apply {
            photoTitle.text = photo.title
            photoDescription.text = photo.description
            ImageLoader.loadImage(photoImage, photo.imageUrl)
        }

        requireActivity().title = photo.title
    }

    override fun onDestroyView() {
        super.onDestroyView()
        _binding = null
    }
}
